/*!
 * @file        usbd_stdReq.h
 *
 * @brief       USB standard request process head file
 *
 * @version     V1.0.1
 *
 * @date        2022-09-20
 *
 * @attention
 *
 *  Copyright (C) 2020-2022 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __USBD_STDREQ_H_
#define __USBD_STDREQ_H_

/** @addtogroup USB_Driver_Library USB Driver Library
  @{
*/

/** @addtogroup Core_Device Core Device
  @{
*/

/** @addtogroup Standrad
  @{
*/

/** @addtogroup StdReq
  @{
*/

/** @defgroup StdReq_Macros Macros
  @{
*/

/**@} end of group StdReq_Macros */

/** @defgroup StdReq_Enumerations Enumerations
  @{
*/

/**@} end of group StdReq_Enumerations */

/** @defgroup StdReq_Structures Structures
  @{
*/

/**@} end of group StdReq_Structures */

/** @defgroup StdReq_Variables Variables
  @{
*/

/**@} end of group StdReq_Variables */

/** @defgroup StdReq_Functions Functions
  @{
*/

void USBD_StandardReqeust(void);

#endif

/**@} end of group StdReq_Functions */
/**@} end of group Interrupt */
/**@} end of group Standard */
/**@} end of group Core_Device */
/**@} end of group USB_Driver_Library */
